using System;
using System.Collections.Generic;
using System.IO;
using Kawa.Json;

namespace Demo
{
	class Program
	{
		static void Main(string[] args)
		{
			//Convert each player file in your Starbound game from SBVJ to plain JSON, listing each player's name, gender, and species.
			foreach (var file in Directory.EnumerateFiles(@"C:\Program Files (x86)\Steam\SteamApps\common\Starbound\storage\player", "*.player"))
			{
				var reader = new BinaryReader(File.Open(file, FileMode.Open));
				var player = Json5.Deserialize(reader) as JsonObj;
				var identity = player.Path("/identity");
				Console.WriteLine("{0,-16}{1,-8}{2,-16}", identity["name"], identity["gender"], identity["species"]);
				File.WriteAllText(Path.ChangeExtension(file, "player.json"), Json5.Stringify(player));
			}
		}
	}
}
